/* Grille CSS */
.gap-0 {
    column-gap: 0;
}
.gap-4 {
    column-gap: 4px;
}

/* grille de 1-12 colonnes [col-start] */
.grid-1 {
    display: grid;
    grid-template-columns: repeat(1,[col-start] 1fr);
}
.grid-2 {
    display: grid;
    grid-template-columns: repeat(2,[col-start] 1fr);
}
.grid-3 {
    display: grid;
    grid-template-columns: repeat(3,[col-start] 1fr);
}
.grid-4 {
    display: grid;
    grid-template-columns: repeat(4,[col-start] 1fr);
}
.grid-5 {
    display: grid;
    grid-template-columns: repeat(5,[col-start] 1fr);
}
.grid-6 {
    display: grid;
    grid-template-columns: repeat(6,[col-start] 1fr);
}
.grid-7 {
    display: grid;
    grid-template-columns: repeat(7,[col-start] 1fr);
}
.grid-8 {
    display: grid;
    grid-template-columns: repeat(8,[col-start] 1fr);
}
.grid-9 {
    display: grid;
    grid-template-columns: repeat(9,[col-start] 1fr);
}
.grid-10 {
    display: grid;
    grid-template-columns: repeat(10,[col-start] 1fr);
}
.grid-11 {
    display: grid;
    grid-template-columns: repeat(11,[col-start] 1fr);
}
.grid-12 {
    display: grid;
    grid-template-columns: repeat(12,[col-start] 1fr);
}
.grid-12 > .block-container {
    display: flex;
    flex-direction: column;
}
.grid-12 > .block-container > .block {
    display: block;
    width: auto;
    flex: 1 0 auto;
}
.grid-12 > .block-container.verticalalign-middle > .block {
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.grid-12 > .block-container.verticalalign-bottom > .block {
    display: flex;
    flex-direction: column;
    justify-content: end;
}

/* SM grille de 1-12 colonnes [col-start] */
@media (min-width: 576px) {
    .grid-sm-1 {
        display: grid;
	grid-template-columns: repeat(1,[col-start] 1fr);
    }
    .grid-sm-2 {
	display: grid;
	grid-template-columns: repeat(2,[col-start] 1fr);
    }
    .grid-sm-3 {
	display: grid;
	grid-template-columns: repeat(3,[col-start] 1fr);
    }
    .grid-sm-4 {
	display: grid;
	grid-template-columns: repeat(4,[col-start] 1fr);
    }
    .grid-sm-5 {
	display: grid;
	grid-template-columns: repeat(5,[col-start] 1fr);
    }
    .grid-sm-6 {
	display: grid;
	grid-template-columns: repeat(6,[col-start] 1fr);
    }
    .grid-sm-7 {
	display: grid;
	grid-template-columns: repeat(7,[col-start] 1fr);
    }
    .grid-sm-8 {
	display: grid;
	grid-template-columns: repeat(8,[col-start] 1fr);
    }
    .grid-sm-9 {
	display: grid;
	grid-template-columns: repeat(9,[col-start] 1fr);
    }
    .grid-sm-10 {
	display: grid;
	grid-template-columns: repeat(10,[col-start] 1fr);
    }
    .grid-sm-11 {
	display: grid;
	grid-template-columns: repeat(11,[col-start] 1fr);
    }
    .grid-sm-12 {
	display: grid;
	grid-template-columns: repeat(12,[col-start] 1fr);
    }
}

/* MD grille de 1-12 colonnes [col-start] */
@media (min-width: 768px) {
    .grid-md-1 {
        display: grid;
        grid-template-columns: repeat(1,[col-start] 1fr);
    }
    .grid-md-2 {
        display: grid;
        grid-template-columns: repeat(2,[col-start] 1fr);
    }
    .grid-md-3 {
        display: grid;
        grid-template-columns: repeat(3,[col-start] 1fr);
    }
    .grid-md-4 {
        display: grid;
        grid-template-columns: repeat(4,[col-start] 1fr);
    }
    .grid-md-5 {
        display: grid;
        grid-template-columns: repeat(5,[col-start] 1fr);
    }
    .grid-md-6 {
        display: grid;
        grid-template-columns: repeat(6,[col-start] 1fr);
    }
    .grid-md-7 {
        display: grid;
        grid-template-columns: repeat(7,[col-start] 1fr);
    }
    .grid-md-8 {
        display: grid;
        grid-template-columns: repeat(8,[col-start] 1fr);
    }
    .grid-md-9 {
        display: grid;
        grid-template-columns: repeat(9,[col-start] 1fr);
    }
    .grid-md-10 {
        display: grid;
        grid-template-columns: repeat(10,[col-start] 1fr);
    }
    .grid-md-11 {
        display: grid;
        grid-template-columns: repeat(11,[col-start] 1fr);
    }
    .grid-md-12 {
        display: grid;
        grid-template-columns: repeat(12,[col-start] 1fr);
    }
}

/* LG grille de 1-12 colonnes [col-start] */
@media (min-width: 992px) {
    .grid-lg-1 {
        display: grid;
        grid-template-columns: repeat(1,[col-start] 1fr);
    }
    .grid-lg-2 {
        display: grid;
        grid-template-columns: repeat(2,[col-start] 1fr);
    }
    .grid-lg-3 {
        display: grid;
        grid-template-columns: repeat(3,[col-start] 1fr);
    }
    .grid-lg-4 {
        display: grid;
        grid-template-columns: repeat(4,[col-start] 1fr);
    }
    .grid-lg-5 {
        display: grid;
        grid-template-columns: repeat(5,[col-start] 1fr);
    }
    .grid-lg-6 {
        display: grid;
        grid-template-columns: repeat(6,[col-start] 1fr);
    }
    .grid-lg-7 {
        display: grid;
        grid-template-columns: repeat(7,[col-start] 1fr);
    }
    .grid-lg-8 {
        display: grid;
        grid-template-columns: repeat(8,[col-start] 1fr);
    }
    .grid-lg-9 {
        display: grid;
        grid-template-columns: repeat(9,[col-start] 1fr);
    }
    .grid-lg-10 {
        display: grid;
        grid-template-columns: repeat(10,[col-start] 1fr);
    }
    .grid-lg-11 {
        display: grid;
        grid-template-columns: repeat(11,[col-start] 1fr);
    }
    .grid-lg-12 {
        display: grid;
        grid-template-columns: repeat(12,[col-start] 1fr);
    }
}

/* XL grille de 1-12 colonnes [col-start] */
@media (min-width: 1200px) {
    .grid-xl-1 {
        display: grid;
        grid-template-columns: repeat(1,[col-start] 1fr);
    }
    .grid-xl-2 {
        display: grid;
        grid-template-columns: repeat(2,[col-start] 1fr);
    }
    .grid-xl-3 {
        display: grid;
        grid-template-columns: repeat(3,[col-start] 1fr);
    }
    .grid-xl-4 {
        display: grid;
        grid-template-columns: repeat(4,[col-start] 1fr);
    }
    .grid-xl-5 {
        display: grid;
        grid-template-columns: repeat(5,[col-start] 1fr);
    }
    .grid-xl-6 {
        display: grid;
        grid-template-columns: repeat(6,[col-start] 1fr);
    }
    .grid-xl-7 {
        display: grid;
        grid-template-columns: repeat(7,[col-start] 1fr);
    }
    .grid-xl-8 {
        display: grid;
        grid-template-columns: repeat(8,[col-start] 1fr);
    }
    .grid-xl-9 {
        display: grid;
        grid-template-columns: repeat(9,[col-start] 1fr);
    }
    .grid-xl-10 {
        display: grid;
        grid-template-columns: repeat(10,[col-start] 1fr);
    }
    .grid-xl-11 {
        display: grid;
        grid-template-columns: repeat(11,[col-start] 1fr);
    }
    .grid-xl-12 {
        display: grid;
        grid-template-columns: repeat(12,[col-start] 1fr);
    }
}

/* sous-grille */
.subgrid {
    display: grid;
    grid-template-columns: subgrid;
}

/* Items [col-start] */
.grid-column-1-1 {
    grid-column: col-start 1 / span 1;
}
.grid-column-1-2 {
    grid-column: col-start 1 / span 2;
}
.grid-column-1-3 {
    grid-column: col-start 1 / span 3;
}
.grid-column-1-4 {
    grid-column: col-start 1 / span 4;
}
.grid-column-1-5 {
    grid-column: col-start 1 / span 5;
}
.grid-column-1-6 {
    grid-column: col-start 1 / span 6;
}
.grid-column-1-7 {
    grid-column: col-start 1 / span 7;
}
.grid-column-1-8 {
    grid-column: col-start 1 / span 8;
}
.grid-column-1-9 {
    grid-column: col-start 1 / span 9;
}
.grid-column-1-10 {
    grid-column: col-start 1 / span 10;
}
.grid-column-1-11 {
    grid-column: col-start 1 / span 11;
}
.grid-column-1-12 {
    grid-column: col-start 1 / span 12;
}
.grid-column-2-1 {
    grid-column: col-start 2 / span 1;
}
.grid-column-2-2 {
    grid-column: col-start 2 / span 2;
}
.grid-column-2-3 {
    grid-column: col-start 2 / span 3;
}
.grid-column-2-4 {
    grid-column: col-start 2 / span 4;
}
.grid-column-2-5 {
    grid-column: col-start 2 / span 5;
}
.grid-column-2-6 {
    grid-column: col-start 2 / span 6;
}
.grid-column-2-7 {
    grid-column: col-start 2 / span 7;
}
.grid-column-2-8 {
    grid-column: col-start 2 / span 8;
}
.grid-column-2-9 {
    grid-column: col-start 2 / span 9;
}
.grid-column-2-10 {
    grid-column: col-start 2 / span 10;
}
.grid-column-2-11 {
    grid-column: col-start 2 / span 11;
}
.grid-column-3-1 {
    grid-column: col-start 3 / span 1;
}
.grid-column-3-2 {
    grid-column: col-start 3 / span 2;
}
.grid-column-3-3 {
    grid-column: col-start 3 / span 3;
}
.grid-column-3-4 {
    grid-column: col-start 3 / span 4;
}
.grid-column-3-5 {
    grid-column: col-start 3 / span 5;
}
.grid-column-3-6 {
    grid-column: col-start 3 / span 6;
}
.grid-column-3-7 {
    grid-column: col-start 3 / span 7;
}
.grid-column-3-8 {
    grid-column: col-start 3 / span 8;
}
.grid-column-3-9 {
    grid-column: col-start 3 / span 9;
}
.grid-column-3-10 {
    grid-column: col-start 3 / span 10;
}
.grid-column-4-1 {
    grid-column: col-start 4 / span 1;
}
.grid-column-4-2 {
    grid-column: col-start 4 / span 2;
}
.grid-column-4-3 {
    grid-column: col-start 4 / span 3;
}
.grid-column-4-4 {
    grid-column: col-start 4 / span 4;
}
.grid-column-4-5 {
    grid-column: col-start 4 / span 5;
}
.grid-column-4-6 {
    grid-column: col-start 4 / span 6;
}
.grid-column-4-7 {
    grid-column: col-start 4 / span 7;
}
.grid-column-4-8 {
    grid-column: col-start 4 / span 8;
}
.grid-column-4-9 {
    grid-column: col-start 4 / span 9;
}
.grid-column-5-1 {
    grid-column: col-start 5 / span 1;
}
.grid-column-5-2 {
    grid-column: col-start 5 / span 2;
}
.grid-column-5-3 {
    grid-column: col-start 5 / span 3;
}
.grid-column-5-4 {
    grid-column: col-start 5 / span 4;
}
.grid-column-5-5 {
    grid-column: col-start 5 / span 5;
}
.grid-column-5-6 {
    grid-column: col-start 5 / span 6;
}
.grid-column-5-7 {
    grid-column: col-start 5 / span 7;
}
.grid-column-5-8 {
    grid-column: col-start 5 / span 8;
}
.grid-column-6-1 {
    grid-column: col-start 6 / span 1;
}
.grid-column-6-2 {
    grid-column: col-start 6 / span 2;
}
.grid-column-6-3 {
    grid-column: col-start 6 / span 3;
}
.grid-column-6-4 {
    grid-column: col-start 6 / span 4;
}
.grid-column-6-5 {
    grid-column: col-start 6 / span 5;
}
.grid-column-6-6 {
    grid-column: col-start 6 / span 6;
}
.grid-column-6-7 {
    grid-column: col-start 6 / span 7;
}
.grid-column-7-1 {
    grid-column: col-start 7 / span 1;
}
.grid-column-7-2 {
    grid-column: col-start 7 / span 2;
}
.grid-column-7-3 {
    grid-column: col-start 7 / span 3;
}
.grid-column-7-4 {
    grid-column: col-start 7 / span 4;
}
.grid-column-7-5 {
    grid-column: col-start 7 / span 5;
}
.grid-column-7-6 {
    grid-column: col-start 7 / span 6;
}
.grid-column-8-1 {
    grid-column: col-start 8 / span 1;
}
.grid-column-8-2 {
    grid-column: col-start 8 / span 2;
}
.grid-column-8-3 {
    grid-column: col-start 8 / span 3;
}
.grid-column-8-4 {
    grid-column: col-start 8 / span 4;
}
.grid-column-8-5 {
    grid-column: col-start 8 / span 5;
}
.grid-column-9-1 {
    grid-column: col-start 9 / span 1;
}
.grid-column-9-2 {
    grid-column: col-start 9 / span 2;
}
.grid-column-9-3 {
    grid-column: col-start 9 / span 3;
}
.grid-column-9-4 {
    grid-column: col-start 9 / span 4;
}
.grid-column-10-1 {
    grid-column: col-start 10 / span 1;
}
.grid-column-10-2 {
    grid-column: col-start 10 / span 2;
}
.grid-column-10-3 {
    grid-column: col-start 10 / span 3;
}
.grid-column-11-1 {
    grid-column: col-start 11 / span 1;
}
.grid-column-11-2 {
    grid-column: col-start 11 / span 2;
}
.grid-column-12-1 {
    grid-column: col-start 12 / span 1;
}

/* SM Items [col-start] */
@media (min-width: 576px) {
    .grid-column-sm-1-1 {
        grid-column: col-start 1 / span 1;
    }
    .grid-column-sm-1-2 {
        grid-column: col-start 1 / span 2;
    }
    .grid-column-sm-1-3 {
        grid-column: col-start 1 / span 3;
    }
    .grid-column-sm-1-4 {
        grid-column: col-start 1 / span 4;
    }
    .grid-column-sm-1-5 {
        grid-column: col-start 1 / span 5;
    }
    .grid-column-sm-1-6 {
        grid-column: col-start 1 / span 6;
    }
    .grid-column-sm-1-7 {
        grid-column: col-start 1 / span 7;
    }
    .grid-column-sm-1-8 {
        grid-column: col-start 1 / span 8;
    }
    .grid-column-sm-1-9 {
        grid-column: col-start 1 / span 9;
    }
    .grid-column-sm-1-10 {
        grid-column: col-start 1 / span 10;
    }
    .grid-column-sm-1-11 {
        grid-column: col-start 1 / span 11;
    }
    .grid-column-sm-1-12 {
        grid-column: col-start 1 / span 12;
    }
    .grid-column-sm-2-1 {
        grid-column: col-start 2 / span 1;
    }
    .grid-column-sm-2-2 {
        grid-column: col-start 2 / span 2;
    }
    .grid-column-sm-2-3 {
        grid-column: col-start 2 / span 3;
    }
    .grid-column-sm-2-4 {
        grid-column: col-start 2 / span 4;
    }
    .grid-column-sm-2-5 {
        grid-column: col-start 2 / span 5;
    }
    .grid-column-sm-2-6 {
        grid-column: col-start 2 / span 6;
    }
    .grid-column-sm-2-7 {
        grid-column: col-start 2 / span 7;
    }
    .grid-column-sm-2-8 {
        grid-column: col-start 2 / span 8;
    }
    .grid-column-sm-2-9 {
        grid-column: col-start 2 / span 9;
    }
    .grid-column-sm-2-10 {
        grid-column: col-start 2 / span 10;
    }
    .grid-column-sm-2-11 {
        grid-column: col-start 2 / span 11;
    }
    .grid-column-sm-3-1 {
        grid-column: col-start 3 / span 1;
    }
    .grid-column-sm-3-2 {
        grid-column: col-start 3 / span 2;
    }
    .grid-column-sm-3-3 {
        grid-column: col-start 3 / span 3;
    }
    .grid-column-sm-3-4 {
        grid-column: col-start 3 / span 4;
    }
    .grid-column-sm-3-5 {
        grid-column: col-start 3 / span 5;
    }
    .grid-column-sm-3-6 {
        grid-column: col-start 3 / span 6;
    }
    .grid-column-sm-3-7 {
        grid-column: col-start 3 / span 7;
    }
    .grid-column-sm-3-8 {
        grid-column: col-start 3 / span 8;
    }
    .grid-column-sm-3-9 {
        grid-column: col-start 3 / span 9;
    }
    .grid-column-sm-3-10 {
        grid-column: col-start 3 / span 10;
    }
    .grid-column-sm-4-1 {
        grid-column: col-start 4 / span 1;
    }
    .grid-column-sm-4-2 {
        grid-column: col-start 4 / span 2;
    }
    .grid-column-sm-4-3 {
        grid-column: col-start 4 / span 3;
    }
    .grid-column-sm-4-4 {
        grid-column: col-start 4 / span 4;
    }
    .grid-column-sm-4-5 {
        grid-column: col-start 4 / span 5;
    }
    .grid-column-sm-4-6 {
        grid-column: col-start 4 / span 6;
    }
    .grid-column-sm-4-7 {
        grid-column: col-start 4 / span 7;
    }
    .grid-column-sm-4-8 {
        grid-column: col-start 4 / span 8;
    }
    .grid-column-sm-4-9 {
        grid-column: col-start 4 / span 9;
    }
    .grid-column-sm-5-1 {
        grid-column: col-start 5 / span 1;
    }
    .grid-column-sm-5-2 {
        grid-column: col-start 5 / span 2;
    }
    .grid-column-sm-5-3 {
        grid-column: col-start 5 / span 3;
    }
    .grid-column-sm-5-4 {
        grid-column: col-start 5 / span 4;
    }
    .grid-column-sm-5-5 {
        grid-column: col-start 5 / span 5;
    }
    .grid-column-sm-5-6 {
        grid-column: col-start 5 / span 6;
    }
    .grid-column-sm-5-7 {
        grid-column: col-start 5 / span 7;
    }
    .grid-column-sm-5-8 {
        grid-column: col-start 5 / span 8;
    }
    .grid-column-sm-6-1 {
        grid-column: col-start 6 / span 1;
    }
    .grid-column-sm-6-2 {
        grid-column: col-start 6 / span 2;
    }
    .grid-column-sm-6-3 {
        grid-column: col-start 6 / span 3;
    }
    .grid-column-sm-6-4 {
        grid-column: col-start 6 / span 4;
    }
    .grid-column-sm-6-5 {
        grid-column: col-start 6 / span 5;
    }
    .grid-column-sm-6-6 {
        grid-column: col-start 6 / span 6;
    }
    .grid-column-sm-6-7 {
        grid-column: col-start 6 / span 7;
    }
    .grid-column-sm-7-1 {
        grid-column: col-start 7 / span 1;
    }
    .grid-column-sm-7-2 {
        grid-column: col-start 7 / span 2;
    }
    .grid-column-sm-7-3 {
        grid-column: col-start 7 / span 3;
    }
    .grid-column-sm-7-4 {
        grid-column: col-start 7 / span 4;
    }
    .grid-column-sm-7-5 {
        grid-column: col-start 7 / span 5;
    }
    .grid-column-sm-7-6 {
        grid-column: col-start 7 / span 6;
    }
    .grid-column-sm-8-1 {
        grid-column: col-start 8 / span 1;
    }
    .grid-column-sm-8-2 {
        grid-column: col-start 8 / span 2;
    }
    .grid-column-sm-8-3 {
        grid-column: col-start 8 / span 3;
    }
    .grid-column-sm-8-4 {
        grid-column: col-start 8 / span 4;
    }
    .grid-column-sm-8-5 {
        grid-column: col-start 8 / span 5;
    }
    .grid-column-sm-9-1 {
        grid-column: col-start 9 / span 1;
    }
    .grid-column-sm-9-2 {
        grid-column: col-start 9 / span 2;
    }
    .grid-column-sm-9-3 {
        grid-column: col-start 9 / span 3;
    }
    .grid-column-sm-9-4 {
        grid-column: col-start 9 / span 4;
    }
    .grid-column-sm-10-1 {
        grid-column: col-start 10 / span 1;
    }
    .grid-column-sm-10-2 {
        grid-column: col-start 10 / span 2;
    }
    .grid-column-sm-10-3 {
        grid-column: col-start 10 / span 3;
    }
    .grid-column-sm-11-1 {
        grid-column: col-start 11 / span 1;
    }
    .grid-column-sm-11-2 {
        grid-column: col-start 11 / span 2;
    }
    .grid-column-sm-12-1 {
        grid-column: col-start 12 / span 1;
    }
}

/* MD Items [col-start] */
@media (min-width: 768px) {
    .grid-column-md-1-1 {
        grid-column: col-start 1 / span 1;
    }
    .grid-column-md-1-2 {
        grid-column: col-start 1 / span 2;
    }
    .grid-column-md-1-3 {
        grid-column: col-start 1 / span 3;
    }
    .grid-column-md-1-4 {
        grid-column: col-start 1 / span 4;
    }
    .grid-column-md-1-5 {
        grid-column: col-start 1 / span 5;
    }
    .grid-column-md-1-6 {
        grid-column: col-start 1 / span 6;
    }
    .grid-column-md-1-7 {
        grid-column: col-start 1 / span 7;
    }
    .grid-column-md-1-8 {
        grid-column: col-start 1 / span 8;
    }
    .grid-column-md-1-9 {
        grid-column: col-start 1 / span 9;
    }
    .grid-column-md-1-10 {
        grid-column: col-start 1 / span 10;
    }
    .grid-column-md-1-11 {
        grid-column: col-start 1 / span 11;
    }
    .grid-column-md-1-12 {
        grid-column: col-start 1 / span 12;
    }
    .grid-column-md-2-1 {
        grid-column: col-start 2 / span 1;
    }
    .grid-column-md-2-2 {
        grid-column: col-start 2 / span 2;
    }
    .grid-column-md-2-3 {
        grid-column: col-start 2 / span 3;
    }
    .grid-column-md-2-4 {
        grid-column: col-start 2 / span 4;
    }
    .grid-column-md-2-5 {
        grid-column: col-start 2 / span 5;
    }
    .grid-column-md-2-6 {
        grid-column: col-start 2 / span 6;
    }
    .grid-column-md-2-7 {
        grid-column: col-start 2 / span 7;
    }
    .grid-column-md-2-8 {
        grid-column: col-start 2 / span 8;
    }
    .grid-column-md-2-9 {
        grid-column: col-start 2 / span 9;
    }
    .grid-column-md-2-10 {
        grid-column: col-start 2 / span 10;
    }
    .grid-column-md-2-11 {
        grid-column: col-start 2 / span 11;
    }
    .grid-column-md-3-1 {
        grid-column: col-start 3 / span 1;
    }
    .grid-column-md-3-2 {
        grid-column: col-start 3 / span 2;
    }
    .grid-column-md-3-3 {
        grid-column: col-start 3 / span 3;
    }
    .grid-column-md-3-4 {
        grid-column: col-start 3 / span 4;
    }
    .grid-column-md-3-5 {
        grid-column: col-start 3 / span 5;
    }
    .grid-column-md-3-6 {
        grid-column: col-start 3 / span 6;
    }
    .grid-column-md-3-7 {
        grid-column: col-start 3 / span 7;
    }
    .grid-column-md-3-8 {
        grid-column: col-start 3 / span 8;
    }
    .grid-column-md-3-9 {
        grid-column: col-start 3 / span 9;
    }
    .grid-column-md-3-10 {
        grid-column: col-start 3 / span 10;
    }
    .grid-column-md-4-1 {
        grid-column: col-start 4 / span 1;
    }
    .grid-column-md-4-2 {
        grid-column: col-start 4 / span 2;
    }
    .grid-column-md-4-3 {
        grid-column: col-start 4 / span 3;
    }
    .grid-column-md-4-4 {
        grid-column: col-start 4 / span 4;
    }
    .grid-column-md-4-5 {
        grid-column: col-start 4 / span 5;
    }
    .grid-column-md-4-6 {
        grid-column: col-start 4 / span 6;
    }
    .grid-column-md-4-7 {
        grid-column: col-start 4 / span 7;
    }
    .grid-column-md-4-8 {
        grid-column: col-start 4 / span 8;
    }
    .grid-column-md-4-9 {
        grid-column: col-start 4 / span 9;
    }
    .grid-column-md-5-1 {
        grid-column: col-start 5 / span 1;
    }
    .grid-column-md-5-2 {
        grid-column: col-start 5 / span 2;
    }
    .grid-column-md-5-3 {
        grid-column: col-start 5 / span 3;
    }
    .grid-column-md-5-4 {
        grid-column: col-start 5 / span 4;
    }
    .grid-column-md-5-5 {
        grid-column: col-start 5 / span 5;
    }
    .grid-column-md-5-6 {
        grid-column: col-start 5 / span 6;
    }
    .grid-column-md-5-7 {
        grid-column: col-start 5 / span 7;
    }
    .grid-column-md-5-8 {
        grid-column: col-start 5 / span 8;
    }
    .grid-column-md-6-1 {
        grid-column: col-start 6 / span 1;
    }
    .grid-column-md-6-2 {
        grid-column: col-start 6 / span 2;
    }
    .grid-column-md-6-3 {
        grid-column: col-start 6 / span 3;
    }
    .grid-column-md-6-4 {
        grid-column: col-start 6 / span 4;
    }
    .grid-column-md-6-5 {
        grid-column: col-start 6 / span 5;
    }
    .grid-column-md-6-6 {
        grid-column: col-start 6 / span 6;
    }
    .grid-column-md-6-7 {
        grid-column: col-start 6 / span 7;
    }
    .grid-column-md-7-1 {
        grid-column: col-start 7 / span 1;
    }
    .grid-column-md-7-2 {
        grid-column: col-start 7 / span 2;
    }
    .grid-column-md-7-3 {
        grid-column: col-start 7 / span 3;
    }
    .grid-column-md-7-4 {
        grid-column: col-start 7 / span 4;
    }
    .grid-column-md-7-5 {
        grid-column: col-start 7 / span 5;
    }
    .grid-column-md-7-6 {
        grid-column: col-start 7 / span 6;
    }
    .grid-column-md-8-1 {
        grid-column: col-start 8 / span 1;
    }
    .grid-column-md-8-2 {
        grid-column: col-start 8 / span 2;
    }
    .grid-column-md-8-3 {
        grid-column: col-start 8 / span 3;
    }
    .grid-column-md-8-4 {
        grid-column: col-start 8 / span 4;
    }
    .grid-column-md-8-5 {
        grid-column: col-start 8 / span 5;
    }
    .grid-column-md-9-1 {
        grid-column: col-start 9 / span 1;
    }
    .grid-column-md-9-2 {
        grid-column: col-start 9 / span 2;
    }
    .grid-column-md-9-3 {
        grid-column: col-start 9 / span 3;
    }
    .grid-column-md-9-4 {
        grid-column: col-start 9 / span 4;
    }
    .grid-column-md-10-1 {
        grid-column: col-start 10 / span 1;
    }
    .grid-column-md-10-2 {
        grid-column: col-start 10 / span 2;
    }
    .grid-column-md-10-3 {
        grid-column: col-start 10 / span 3;
    }
    .grid-column-md-11-1 {
        grid-column: col-start 11 / span 1;
    }
    .grid-column-md-11-2 {
        grid-column: col-start 11 / span 2;
    }
    .grid-column-md-12-1 {
        grid-column: col-start 12 / span 1;
    }
}

/* LG Items [col-start] */
@media (min-width: 992px) {
    .grid-column-lg-1-1 {
        grid-column: col-start 1 / span 1;
    }
    .grid-column-lg-1-2 {
        grid-column: col-start 1 / span 2;
    }
    .grid-column-lg-1-3 {
        grid-column: col-start 1 / span 3;
    }
    .grid-column-lg-1-4 {
        grid-column: col-start 1 / span 4;
    }
    .grid-column-lg-1-5 {
        grid-column: col-start 1 / span 5;
    }
    .grid-column-lg-1-6 {
        grid-column: col-start 1 / span 6;
    }
    .grid-column-lg-1-7 {
        grid-column: col-start 1 / span 7;
    }
    .grid-column-lg-1-8 {
        grid-column: col-start 1 / span 8;
    }
    .grid-column-lg-1-9 {
        grid-column: col-start 1 / span 9;
    }
    .grid-column-lg-1-10 {
        grid-column: col-start 1 / span 10;
    }
    .grid-column-lg-1-11 {
        grid-column: col-start 1 / span 11;
    }
    .grid-column-lg-1-12 {
        grid-column: col-start 1 / span 12;
    }
    .grid-column-lg-2-1 {
        grid-column: col-start 2 / span 1;
    }
    .grid-column-lg-2-2 {
        grid-column: col-start 2 / span 2;
    }
    .grid-column-lg-2-3 {
        grid-column: col-start 2 / span 3;
    }
    .grid-column-lg-2-4 {
        grid-column: col-start 2 / span 4;
    }
    .grid-column-lg-2-5 {
        grid-column: col-start 2 / span 5;
    }
    .grid-column-lg-2-6 {
        grid-column: col-start 2 / span 6;
    }
    .grid-column-lg-2-7 {
        grid-column: col-start 2 / span 7;
    }
    .grid-column-lg-2-8 {
        grid-column: col-start 2 / span 8;
    }
    .grid-column-lg-2-9 {
        grid-column: col-start 2 / span 9;
    }
    .grid-column-lg-2-10 {
        grid-column: col-start 2 / span 10;
    }
    .grid-column-lg-2-11 {
        grid-column: col-start 2 / span 11;
    }
    .grid-column-lg-3-1 {
        grid-column: col-start 3 / span 1;
    }
    .grid-column-lg-3-2 {
        grid-column: col-start 3 / span 2;
    }
    .grid-column-lg-3-3 {
        grid-column: col-start 3 / span 3;
    }
    .grid-column-lg-3-4 {
        grid-column: col-start 3 / span 4;
    }
    .grid-column-lg-3-5 {
        grid-column: col-start 3 / span 5;
    }
    .grid-column-lg-3-6 {
        grid-column: col-start 3 / span 6;
    }
    .grid-column-lg-3-7 {
        grid-column: col-start 3 / span 7;
    }
    .grid-column-lg-3-8 {
        grid-column: col-start 3 / span 8;
    }
    .grid-column-lg-3-9 {
        grid-column: col-start 3 / span 9;
    }
    .grid-column-lg-3-10 {
        grid-column: col-start 3 / span 10;
    }
    .grid-column-lg-4-1 {
        grid-column: col-start 4 / span 1;
    }
    .grid-column-lg-4-2 {
        grid-column: col-start 4 / span 2;
    }
    .grid-column-lg-4-3 {
        grid-column: col-start 4 / span 3;
    }
    .grid-column-lg-4-4 {
        grid-column: col-start 4 / span 4;
    }
    .grid-column-lg-4-5 {
        grid-column: col-start 4 / span 5;
    }
    .grid-column-lg-4-6 {
        grid-column: col-start 4 / span 6;
    }
    .grid-column-lg-4-7 {
        grid-column: col-start 4 / span 7;
    }
    .grid-column-lg-4-8 {
        grid-column: col-start 4 / span 8;
    }
    .grid-column-lg-4-9 {
        grid-column: col-start 4 / span 9;
    }
    .grid-column-lg-5-1 {
        grid-column: col-start 5 / span 1;
    }
    .grid-column-lg-5-2 {
        grid-column: col-start 5 / span 2;
    }
    .grid-column-lg-5-3 {
        grid-column: col-start 5 / span 3;
    }
    .grid-column-lg-5-4 {
        grid-column: col-start 5 / span 4;
    }
    .grid-column-lg-5-5 {
        grid-column: col-start 5 / span 5;
    }
    .grid-column-lg-5-6 {
        grid-column: col-start 5 / span 6;
    }
    .grid-column-lg-5-7 {
        grid-column: col-start 5 / span 7;
    }
    .grid-column-lg-5-8 {
        grid-column: col-start 5 / span 8;
    }
    .grid-column-lg-6-1 {
        grid-column: col-start 6 / span 1;
    }
    .grid-column-lg-6-2 {
        grid-column: col-start 6 / span 2;
    }
    .grid-column-lg-6-3 {
        grid-column: col-start 6 / span 3;
    }
    .grid-column-lg-6-4 {
        grid-column: col-start 6 / span 4;
    }
    .grid-column-lg-6-5 {
        grid-column: col-start 6 / span 5;
    }
    .grid-column-lg-6-6 {
        grid-column: col-start 6 / span 6;
    }
    .grid-column-lg-6-7 {
        grid-column: col-start 6 / span 7;
    }
    .grid-column-lg-7-1 {
        grid-column: col-start 7 / span 1;
    }
    .grid-column-lg-7-2 {
        grid-column: col-start 7 / span 2;
    }
    .grid-column-lg-7-3 {
        grid-column: col-start 7 / span 3;
    }
    .grid-column-lg-7-4 {
        grid-column: col-start 7 / span 4;
    }
    .grid-column-lg-7-5 {
        grid-column: col-start 7 / span 5;
    }
    .grid-column-lg-7-6 {
        grid-column: col-start 7 / span 6;
    }
    .grid-column-lg-8-1 {
        grid-column: col-start 8 / span 1;
    }
    .grid-column-lg-8-2 {
        grid-column: col-start 8 / span 2;
    }
    .grid-column-lg-8-3 {
        grid-column: col-start 8 / span 3;
    }
    .grid-column-lg-8-4 {
        grid-column: col-start 8 / span 4;
    }
    .grid-column-lg-8-5 {
        grid-column: col-start 8 / span 5;
    }
    .grid-column-lg-9-1 {
        grid-column: col-start 9 / span 1;
    }
    .grid-column-lg-9-2 {
        grid-column: col-start 9 / span 2;
    }
    .grid-column-lg-9-3 {
        grid-column: col-start 9 / span 3;
    }
    .grid-column-lg-9-4 {
        grid-column: col-start 9 / span 4;
    }
    .grid-column-lg-10-1 {
        grid-column: col-start 10 / span 1;
    }
    .grid-column-lg-10-2 {
        grid-column: col-start 10 / span 2;
    }
    .grid-column-lg-10-3 {
        grid-column: col-start 10 / span 3;
    }
    .grid-column-lg-11-1 {
        grid-column: col-start 11 / span 1;
    }
    .grid-column-lg-11-2 {
        grid-column: col-start 11 / span 2;
    }
    .grid-column-lg-12-1 {
        grid-column: col-start 12 / span 1;
    }
}

/* XL Items [col-start] */
@media (min-width: 1200px) {
    .grid-column-xl-1-1 {
        grid-column: col-start 1 / span 1;
    }
    .grid-column-xl-1-2 {
        grid-column: col-start 1 / span 2;
    }
    .grid-column-xl-1-3 {
        grid-column: col-start 1 / span 3;
    }
    .grid-column-xl-1-4 {
        grid-column: col-start 1 / span 4;
    }
    .grid-column-xl-1-5 {
        grid-column: col-start 1 / span 5;
    }
    .grid-column-xl-1-6 {
        grid-column: col-start 1 / span 6;
    }
    .grid-column-xl-1-7 {
        grid-column: col-start 1 / span 7;
    }
    .grid-column-xl-1-8 {
        grid-column: col-start 1 / span 8;
    }
    .grid-column-xl-1-9 {
        grid-column: col-start 1 / span 9;
    }
    .grid-column-xl-1-10 {
        grid-column: col-start 1 / span 10;
    }
    .grid-column-xl-1-11 {
        grid-column: col-start 1 / span 11;
    }
    .grid-column-xl-1-12 {
        grid-column: col-start 1 / span 12;
    }
    .grid-column-xl-2-1 {
        grid-column: col-start 2 / span 1;
    }
    .grid-column-xl-2-2 {
        grid-column: col-start 2 / span 2;
    }
    .grid-column-xl-2-3 {
        grid-column: col-start 2 / span 3;
    }
    .grid-column-xl-2-4 {
        grid-column: col-start 2 / span 4;
    }
    .grid-column-xl-2-5 {
        grid-column: col-start 2 / span 5;
    }
    .grid-column-xl-2-6 {
        grid-column: col-start 2 / span 6;
    }
    .grid-column-xl-2-7 {
        grid-column: col-start 2 / span 7;
    }
    .grid-column-xl-2-8 {
        grid-column: col-start 2 / span 8;
    }
    .grid-column-xl-2-9 {
        grid-column: col-start 2 / span 9;
    }
    .grid-column-xl-2-10 {
        grid-column: col-start 2 / span 10;
    }
    .grid-column-xl-2-11 {
        grid-column: col-start 2 / span 11;
    }
    .grid-column-xl-3-1 {
        grid-column: col-start 3 / span 1;
    }
    .grid-column-xl-3-2 {
        grid-column: col-start 3 / span 2;
    }
    .grid-column-xl-3-3 {
        grid-column: col-start 3 / span 3;
    }
    .grid-column-xl-3-4 {
        grid-column: col-start 3 / span 4;
    }
    .grid-column-xl-3-5 {
        grid-column: col-start 3 / span 5;
    }
    .grid-column-xl-3-6 {
        grid-column: col-start 3 / span 6;
    }
    .grid-column-xl-3-7 {
        grid-column: col-start 3 / span 7;
    }
    .grid-column-xl-3-8 {
        grid-column: col-start 3 / span 8;
    }
    .grid-column-xl-3-9 {
        grid-column: col-start 3 / span 9;
    }
    .grid-column-xl-3-10 {
        grid-column: col-start 3 / span 10;
    }
    .grid-column-xl-4-1 {
        grid-column: col-start 4 / span 1;
    }
    .grid-column-xl-4-2 {
        grid-column: col-start 4 / span 2;
    }
    .grid-column-xl-4-3 {
        grid-column: col-start 4 / span 3;
    }
    .grid-column-xl-4-4 {
        grid-column: col-start 4 / span 4;
    }
    .grid-column-xl-4-5 {
        grid-column: col-start 4 / span 5;
    }
    .grid-column-xl-4-6 {
        grid-column: col-start 4 / span 6;
    }
    .grid-column-xl-4-7 {
        grid-column: col-start 4 / span 7;
    }
    .grid-column-xl-4-8 {
        grid-column: col-start 4 / span 8;
    }
    .grid-column-xl-4-9 {
        grid-column: col-start 4 / span 9;
    }
    .grid-column-xl-5-1 {
        grid-column: col-start 5 / span 1;
    }
    .grid-column-xl-5-2 {
        grid-column: col-start 5 / span 2;
    }
    .grid-column-xl-5-3 {
        grid-column: col-start 5 / span 3;
    }
    .grid-column-xl-5-4 {
        grid-column: col-start 5 / span 4;
    }
    .grid-column-xl-5-5 {
        grid-column: col-start 5 / span 5;
    }
    .grid-column-xl-5-6 {
        grid-column: col-start 5 / span 6;
    }
    .grid-column-xl-5-7 {
        grid-column: col-start 5 / span 7;
    }
    .grid-column-xl-5-8 {
        grid-column: col-start 5 / span 8;
    }
    .grid-column-xl-6-1 {
        grid-column: col-start 6 / span 1;
    }
    .grid-column-xl-6-2 {
        grid-column: col-start 6 / span 2;
    }
    .grid-column-xl-6-3 {
        grid-column: col-start 6 / span 3;
    }
    .grid-column-xl-6-4 {
        grid-column: col-start 6 / span 4;
    }
    .grid-column-xl-6-5 {
        grid-column: col-start 6 / span 5;
    }
    .grid-column-xl-6-6 {
        grid-column: col-start 6 / span 6;
    }
    .grid-column-xl-6-7 {
        grid-column: col-start 6 / span 7;
    }
    .grid-column-xl-7-1 {
        grid-column: col-start 7 / span 1;
    }
    .grid-column-xl-7-2 {
        grid-column: col-start 7 / span 2;
    }
    .grid-column-xl-7-3 {
        grid-column: col-start 7 / span 3;
    }
    .grid-column-xl-7-4 {
        grid-column: col-start 7 / span 4;
    }
    .grid-column-xl-7-5 {
        grid-column: col-start 7 / span 5;
    }
    .grid-column-xl-7-6 {
        grid-column: col-start 7 / span 6;
    }
    .grid-column-xl-8-1 {
        grid-column: col-start 8 / span 1;
    }
    .grid-column-xl-8-2 {
        grid-column: col-start 8 / span 2;
    }
    .grid-column-xl-8-3 {
        grid-column: col-start 8 / span 3;
    }
    .grid-column-xl-8-4 {
        grid-column: col-start 8 / span 4;
    }
    .grid-column-xl-8-5 {
        grid-column: col-start 8 / span 5;
    }
    .grid-column-xl-9-1 {
        grid-column: col-start 9 / span 1;
    }
    .grid-column-xl-9-2 {
        grid-column: col-start 9 / span 2;
    }
    .grid-column-xl-9-3 {
        grid-column: col-start 9 / span 3;
    }
    .grid-column-xl-9-4 {
        grid-column: col-start 9 / span 4;
    }
    .grid-column-xl-10-1 {
        grid-column: col-start 10 / span 1;
    }
    .grid-column-xl-10-2 {
        grid-column: col-start 10 / span 2;
    }
    .grid-column-xl-10-3 {
        grid-column: col-start 10 / span 3;
    }
    .grid-column-xl-11-1 {
        grid-column: col-start 11 / span 1;
    }
    .grid-column-xl-11-2 {
        grid-column: col-start 11 / span 2;
    }
    .grid-column-xl-12-1 {
        grid-column: col-start 12 / span 1;
    }
}
